- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# QXmlAttributes Class Reference

Search for all occurrences

## Detailed Description

Definition at line 119 of file qxml.h.

`#include <qxml.h>`

List of all members.

## Classes
struct | Attribute
## Public Member Functions
| QXmlAttributes ()
virtual | ~QXmlAttributes ()
int | index (const QString &qName) const
int | index (const QLatin1String &qName) const
int | index (const QString &uri, const QString &localPart) const
int | length () const
int | count () const
QString | localName (int index) const
QString | qName (int index) const
QString | uri (int index) const
QString | type (int index) const
QString | type (const QString &qName) const
QString | type (const QString &uri, const QString &localName) const
QString | value (int index) const
QString | value (const QString &qName) const
QString | value (const QLatin1String &qName) const
QString | value (const QString &uri, const QString &localName) const
void | clear ()
void | append (const QString &qName, const QString &uri, const QString &localPart, const QString &value)

## Constructor & Destructor Documentation

QXmlAttributes | ( |  | ) | `[inline]`

Definition at line 122 of file qxml.h.

    {}

virtual ~QXmlAttributes | ( |  | ) | `[inline, virtual]`

Definition at line 123 of file qxml.h.

    {}

## Member Function Documentation

int index | ( | const QString & | qName | ) | const

Search for all occurrences

int index | ( | const QLatin1String & | qName | ) | const

Search for all occurrences

int index | ( | const QString & | uri,
|  | const QString & | localPart
| ) |  | const

Search for all occurrences

int length | ( |  | ) | const

Search for all occurrences

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 420 of file qxml.h.

    { return length(); }

QString localName | ( | int | index | ) | const

Search for all occurrences

QString qName | ( | int | index | ) | const

Search for all occurrences

QString uri | ( | int | index | ) | const

Search for all occurrences

QString type | ( | int | index | ) | const

Search for all occurrences

QString type | ( | const QString & | qName | ) | const

Search for all occurrences

QString type | ( | const QString & | uri,
|  | const QString & | localName
| ) |  | const

Search for all occurrences

QString value | ( | int | index | ) | const

Search for all occurrences

QString value | ( | const QString & | qName | ) | const

Search for all occurrences

QString value | ( | const QLatin1String & | qName | ) | const

Search for all occurrences

QString value | ( | const QString & | uri,
|  | const QString & | localName
| ) |  | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

void append | ( | const QString & | qName,
|  | const QString & | uri,
|  | const QString & | localPart,
|  | const QString & | value
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes
QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes QXmlAttributes